[Rubygems-developers] [ rubygems-Feature Requests-28005 ] feature request: show when a dependency is "only" for a development dependency

noreply at rubyforge.org noreply at rubyforge.org
Thu Mar 25 17:24:52 EDT 2010


Feature Requests item #28005, was opened at 2010-03-25 21:24
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=28005&group_id=126

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Roger Pack (rogerdpack)
Assigned to: Nobody (None)
Summary: feature request: show when a dependency is "only" for a development dependency

Initial Comment:
Situation: Currently when one uninstalls a gem with a development dependency, the following is output:

C:\installs\ruby191p376\lib\ruby\gems\1.9.1\gems\redcar-0.3.3>gem uninstall gemcutter

You have requested to uninstall the gem:
        gemcutter-0.5.0
jeweler-1.4.0 depends on [gemcutter (>= 0.1.0)]
win32console-1.3.0 depends on [gemcutter (>= 0.3.0)]
If you remove this gems, one or more dependencies will not be met.
Continue with Uninstall? [Yn]

Originally when I see this, I am surprised to see that things has a dependency on gemcutter, but later discover they are "just" development dependencies, which is not surprising.

Feature request: on uninstall dependency warning, note if the dependency is "only" a development one.  ex something like:

C:\installs\ruby191p376\lib\ruby\gems\1.9.1\gems\redcar-0.3.3>gem uninstall gemcutter

You have requested to uninstall the gem:
        gemcutter-0.5.0
win32console-1.3.0 depends on [gemcutter (>= 0.3.0)] (development dependency)
If you remove this gems, one or more dependencies will not be met.
Continue with Uninstall? [Yn]  

That's all.
Thanks.
-rp


----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=578&aid=28005&group_id=126


More information about the Rubygems-developers mailing list